Activities for a standard
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/activities \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/activities"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"identifier": "im:98928b4e-0183-5e0e-955d-230653db7332",
"name": "Water in a Tank",
"ordinalName": "Activity 1",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
},
{
"identifier": "im:a859c7f9-ba5c-5b2e-82e9-1b948e4ee01c",
"name": "Swing Time",
"ordinalName": "Activity 2",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "nKnowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics.l"
}
],
"pagination": {
"limit": 100,
"nextCursor": null,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Activities for a standard
Fetches summary information for all activities that address a specific academic standard.
Returns activity summaries (identifier, name, position) that are aligned to this standard, indicating which specific instructional tasks help students achieve this learning expectation.
Use this endpoint when you need to:
- Find all activities that teach a specific standard
- Build standards-based activity sets
- Track standards coverage at the activity level
- Generate detailed standards alignment reports
GET
/
academic-standards
/
{caseIdentifierUUID}
/
activities
Activities for a standard
Authorizations
API key for authentication
Path Parameters
CASE Network UUID for the resource
Query Parameters
Maximum number of results to return
Required range:
1 <= x <= 1000Pagination cursor obtained from the nextCursor field in a previous response (not needed for the first page)
Was this page helpful?
⌘I